/*
 * netics.h
 *
 * Copyright (c) 2002 Marius Aamodt Eriksen <marius@monkey.org>
 *
 * $Id: netics.h,v 1.2 2003/05/01 07:56:20 marius Exp $
 */

#ifndef NETICS_H
#define NETICS_H

/* Options */
#define OPT_PRECISE 0x01

/*
 * sc_feed returns a non-negative number if it is able to yield a
 * result at the time, and a negative number if it is not.
 *
 * sc_result_* returns a negative number is result is not available.
 */

struct sc_ops { 
	char      *name;
	void      *(*sc_new)(uint32_t, int);
	void       (*sc_free)(void *);
	uint32_t   (*sc_feed)(void *, u_char *, uint32_t);
	void       (*sc_reset)(void *);
	double     (*sc_result_raw)(void *);
	double     (*sc_result_percent)(void *);
	int        (*sc_result_display)(void *);
};

#endif /* NETICS_H */
